package jp.co.jid.exBasic;

public class Sex {
	/** 性別：男 */
	public static final int SEX_MAN = 1;
	/** 性別：女 */
	public static final int SEX_WOMAN = 2;

	/** 性別 */
	private int sex;

	/**
	 * コンストラクタ
	 * @param sex 性別(SEX_MAN:男, SEX_WOMAN:女)
	 */
	public Sex(int sex) {
		this.sex = sex;
	}

	/**
	 * 男か？
	 * @return 男ならtrueを返す
	 */
	public boolean isMan() {
		return this.sex == SEX_MAN ? true : false;
	}

	/**
	 * 女か？
	 * @return 女ならtrueを返す
	 */
	public boolean isWoman() {
		return this.sex == SEX_WOMAN ? true : false;
	}

	public int getSex() {
		return this.sex;
	}
}
